function [fListClean] = removePltIdFiles(fList)
%removePltIdFiles removes functions that are part of PlotID out of flist
%   Detailed explanation goes here

[~,names,ext] = fileparts(fList);
names = strcat(names, ext); % add ext for comparison

% Get a list of all .m files that are part of Plot id
packageContent = what('PlotID');
% packageContent.classes has no extensions
PltID_classlist = packageContent.classes;

% Class Methods need to be listed in an additional function
Class_flist = cell(1,numel(packageContent.classes)); %preallocate 
for i=1:numel(packageContent.classes)
    temp = what(['PlotID',filesep,'@',PltID_classlist{i}]);
    Class_flist{i} = temp.m; 
end
 
Class_flist = vertcat(Class_flist{:});
% all plotID .m files:
PltID_flist = [packageContent.m; Class_flist]; 
% Comparison and filter
fListClean = fList(~ismember(names,PltID_flist));
end


