clear; close all; clc;
%%  multiple plots from the same data-set (centralized method)
% A central data folder is used for saving the research data files, the
% subfolders contain linked hdf5-files (if hdf5 is used) otherwise the data
% will only be in the data folder.

% This is recommended, if many plots are made from the same data set.
% Attention, the linked HDF5 will not work when a subfolder was moved or the data
% folder was deleted

[x, y, datapath] = createExampleData('hdf');
scriptPath = [mfilename('fullpath'),'.m'];

fig1 = figure;
plot(x,y,'-k'); 
[fig1, ID] = PlotID.TagPlot(fig1);

PlotID.Publish(datapath,scriptPath, fig1, 'Method','centralized')

% Second figure based on the same data set as fig1
fig2 = figure;
plot(x.^2,y,'-r'); 
[fig2, ID] = PlotID.TagPlot(fig2);

PlotID.Publish(datapath,scriptPath, fig2, 'Method','centralized')