%% This is the PlotID Initialisation file
% Please run this script before using PlotID

%% Section 1 Config File
% To make things easy, you should use the config file. The following wizard
% will help you create one:
writeConfig = true;

% Ask User if current config should be overwritten
if isfile('config.json')
    m = input('Do you want to overwrite the current config file, Y/N [Y]:','s');
    writeConfig = ismember(m,{'Y','y'});
end    

if writeConfig
   config = PlotID.config.wizard('initialise');
   fid = fopen('config.json','w');
   txt = jsonencode(config,'PrettyPrint',true);
   fwrite(fid,txt);
   fclose(fid);
end

%%
clc
disp('Initialisition done.')
